from .module1 import MyClass_Mod1
from .module2 import MyClass_Mod2
import sys

def main():
    """Command-line interface handler."""
    if len(sys.argv) < 2:
        print("Usage: skeltymlops <method_name>")
        sys.exit(1)

    method_name = sys.argv[1]

    # Check if method exists in MyClass_Mod1
    obj = MyClass_Mod1()
    if hasattr(obj, method_name):
        getattr(obj, method_name)()
    else:
        print(f"Error: Method '{method_name}' not found in MyClass_Mod1.")
        sys.exit(1)